package com.nasc.custom.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:03
 * @Description: 受理记录表
 * @return:
 */
public class NascDealRecord {

    /** 受理记录主键ID */
    private Long id;

    /** 受理编号 */
    private String serialNumber;

    /** 受理编号条形码 */
    private String barcode;

    /** 办理类型 1 个人 2 企业 */
    private Long withType;

    /** 联系人/姓名 */
    private String contacts;

    /** 联系人电话 */
    private String phone;

    /** 身份证号码/社会信用代码 */
    private String idCard;

    /** 企业名称 */
    private String enterpriseName;

    /** 受理单状态 0 草稿 1 物料流转 */
    private Long withStatus;

    /** 材料列表 */
    private String materials;

    /** 事项ID */
    private Long matterId;

    /** 操作人 */
    private Long dealUser;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getBarcode() {
        return barcode;
    }

    public void setBarcode(String barcode) {
        this.barcode = barcode;
    }

    public Long getWithType() {
        return withType;
    }

    public void setWithType(Long withType) {
        this.withType = withType;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public Long getWithStatus() {
        return withStatus;
    }

    public void setWithStatus(Long withStatus) {
        this.withStatus = withStatus;
    }

    public String getMaterials() {
        return materials;
    }

    public void setMaterials(String materials) {
        this.materials = materials;
    }

    public Long getMatterId() {
        return matterId;
    }

    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }

    public Long getDealUser() {
        return dealUser;
    }

    public void setDealUser(Long dealUser) {
        this.dealUser = dealUser;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
